# sc::Units Class Reference

The Units class is used to perform unit converions. More...

`#include <units.h>`

Inheritance diagram for sc::Units:

List of all members.

## Public Types

enum | Storage { Steal, Copy }

## Public Member Functions

| Units (const char *strrep)
| Create using a string representation, like "kcal/mol".
| Units (char *strrep, Units::Storage=Units::Copy)
| Create using a string representation, like "kcal/mol".
| Units (StateIn &s)
| Restore the state of a Units object from s.
double | to (const Ref< Units > &u) const
| The conversion factor from this to u.
double | from (const Ref< Units > &u) const
| The conversion factor from u to this.
double | to_atomic_units () const
| The conversion factor from this to atomic units.
double | from_atomic_units () const
| The conversion factor from atom units to this.
const char * | string_rep () const
| The string representation of the units.
void | save_data_state (StateOut &s)
| Save the state of the Units object to s.

## Protected Member Functions

void | parse_unit ()

## Protected Attributes

char * | strrep_
double | to_atomic_units_

## Detailed Description

The Units class is used to perform unit converions.

## Constructor & Destructor Documentation

sc::Units::Units | ( | char * | strrep,
|  | Units::Storage | = `Units::Copy` |
| ) |  |  |

Create using a string representation, like "kcal/mol".

if Units::Steal is given is the second argment, the new Units object will delete the strrep argument when it is destroyed.

The documentation for this class was generated from the following file:

- units.h